html{
  scroll-behavior: smooth;
}
header{
  line-height: 80px;
  position: fixed;
  top: 60px;
  z-index: 1;
  width: 100%;
  margin: 0 auto;
  .header-wrapper{
    margin-top: -60px;
    width: 100%;
  }
  .container {
    max-width: none;
    padding-left: 60px;
    padding-right: 60px;
    @media(max-width: 767px) {
      padding-left: 15px;
      padding-right: 15px;
    }
  }
}
h1.logo-wrapper{
  .white-logo:hover + .white-half-logo{
    display: none;
  }
  .white-logo:hover::after{
    content: '';
    display: inline-block;
    background-image: url(../images/logo-half-white.svg);
    background-repeat: no-repeat;
    width: 250px;
    height: 40px;
    vertical-align: middle;
  }
  .blue-logo:hover::after{
    content: '';
    display: inline-block;
    background-image: url(../images/logo-half-blue.svg);
    /* background-size: 200px 100px; */
    background-repeat: no-repeat;
    width: 250px;
    height: 40px;
    vertical-align: middle;
  }
  .white-half-logo:hover::after{
    content: none;
  }
}
.small-logo , .small-blue-logo{
  width: 95px;
  margin-right: 10px;
  margin-top: -10px;
}
.nav-links{
  padding-left: 0px;
  list-style: none;
  a {
    color: #fff;
    font-family: "HelveticaNeue";
  }
  li{
    display: inline;
    margin-left: 35px;
  }
}
.logo-wrapper{
  float: left;
}
.nav-wrapper{
  width: 40%;
  float: right;
}
.nav-icon{
  float: right;
  cursor: pointer;
  width: 38px;
  height: 30px;
  top: 50px;
  position: relative;
  -webkit-transform: rotate(0deg);
  -moz-transform: rotate(0deg);
  -o-transform: rotate(0deg);
  transform: rotate(0deg);
  -webkit-transition: .5s ease-in-out;
  -moz-transition: .5s ease-in-out;
  -o-transition: .5s ease-in-out;
  transition: .5s ease-in-out;
}
.nav-icon::before{
  content: '';
  display: inline-block;
  width: 42px;
  height: 42px;
  background-image: url(../images/nav-hexagon.svg);
  background-repeat: no-repeat;
  position: absolute;
  top: -15px;
  right: 0;
  left: 0;
}
.nav-icon span{
  display: block;
  position: absolute;
  height: 1px;
  width: 100%;
  background: #fff;
  border-radius: 9px;
  opacity: 1;
  right: 25%;
  transform: rotate(0deg);
  transition: .25s ease-in-out;
}
.nav-icon span:nth-child(1) {
  top: 0px;
  width: 20px;
}
.nav-icon span:nth-child(2) {
  top: 4px;
  width: 10px;
}
.nav-icon span:nth-child(3) {
  top: 8px;
  width: 16px;
}
.nav-icon.open span:nth-child(2) {
  display: none;
}
.nav-icon.open span:nth-child(1) {
  top: 6px;
  transform: rotate(135deg);
  width: 22px;
  right: 8px;
}
.nav-icon.open span:nth-child(3) {
  top: 6px;
  width: 22px;
  transform: rotate(-135deg);
}
.nav-wrapper.blue{
  .nav-icon span{
    background: $blue;
  }
  .nav-icon::before{
    background-image: url(../images/nav-hexagon-blue.svg);
  }
  .nav-links{
    li a{
      color: $blue;
    }
  }
}

@media  screen
  and (min-width: 320px)
  and (max-width: 767px){
    header{
      top: 42px;
      width: 100%;
      margin: 0 auto;
      // background-color: #fff;
      .header-wrapper{
        .logo-wrapper .small-logo , .small-blue-logo{
          width: 74px;
        }
        .half-logo{
          display: none;
        }
        h1.logo-wrapper{
          .white-logo:hover::after{
            content: '';
          }
          .blue-logo:hover::after{
            content: '';
          }
      }
    }
    .nav-icon.open{
      top: 40px;
      right: 15px;
    }
    .nav-links{
      margin: 0;
    }
    .open-nav{
      background-image: url('../images/nav-top-pattern.png'), url('../images/nav-bottom-pattern.png');
      background-position: 0 0 , right bottom;
      background-repeat: no-repeat, no-repeat;
    }
    .nav-wrapper.blue.open-nav{
      li a{
        color: #fff;
      }
      .nav-icon{
        span{
          background-color: #fff;
        }
      }
      .nav-icon::before{
        background-image: url(../images/nav-hexagon.svg);
      }
    }
    .nav-wrapper.open-nav{
      position: fixed;
      right: 0;
      left: 0;
      bottom: 0;
      top: 0;
      width: 100%;
      z-index: 1;
      background-color: $blue;
      // background-image: url('../images/nav-pattern-top.png'), url('../images/nav-pattern-bottom.png');
      // background-position: 0 0 , right bottom;
      // background-repeat: no-repeat, no-repeat;
      .nav-social{
        display: flex;
        justify-content: space-between;
        align-items: center;
        svg{
          fill: #fff;
        }
      }
      nav{
        & > .nav-links{
          height: 100vh;
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          justify-content: center;
        }
        li{
          line-height: 50px;
          a{
            letter-spacing: 5px;
            text-transform: uppercase;
            display: block;
            font-size: 20px;
            text-decoration:none;
          }
          a:active{
            color: $gold;
          }
        }
      }
      }
    }
  }
